apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: rancher-tls
  namespace: cattle-system
spec:
  secretName: rancher-tls
  # Currently the certificate is trusted by the Sylva CA by referring to the ca-issuer.
  # It is possible to leverage an external authority by referring a vault-issuer or an acme-issuer.
  # In this case, configure the issuer according to the spec of the external authority and update issuerRef below
  issuerRef:
    name: ca-issuer
    kind: ClusterIssuer
  commonName: ${RANCHER_DNS}
  duration: 2160h # 90d
  renewBefore: 360h # 15d
  emailAddresses:
  - surname.name@sylva.org
  subject:
    organizations:
    - Sylva
    countries:
    - eu
    organizationalUnits:
    - DEV
  dnsNames:
  - ${RANCHER_DNS}
  - localhost
  ipAddresses:
  - 127.0.0.1
